Subject: Re: I-D Action:draft-donley-ipv6-cpe-rtr-use-cases-and-reqs-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Fri, 10 Jul 2009 17:15:07 +0100

I'm very curious why this draft doesn't refer to
draft-ietf-v6ops-ipv6-cpe-router. We certainly don't
want two competing documents, so can the authors say how
they plan to approach this?

I'm also curious why RFC4864 isn't mentioned. That's not
normative, but I would expect any draft in this area to
at least mention the scenarios mentioned there.

> 7.3.  Transition and Tunneling Mechanisms
> 
>    As networks transition from IPv4 to IPv6, transition mechanisms may
>    be required to continue providing customers with Internet service.
>    In the future, the CPE Router may need to support some of these
>    transition mechanisms, such as softwire [I-D.ietf-softwire-hs-
>    framework-l2tpv2], Dual Stack Lite [I-D.ietf-softwire-dual-stack-
>    lite], or NAT64.

This seems like far too short a discussion and far too short a list.
The range of coexistence (not transition) solutions is much larger
and it's far from clear which ones will be widespread.

   Brian

On 2009-07-02 22:30, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 	Title           : Use Cases and Requirements for an IPv6 CPE Router
> 	Author(s)       : C. Donley, et al.
> 	Filename        : draft-donley-ipv6-cpe-rtr-use-cases-and-reqs-00.txt
> 	Pages           : 24
> 	Date            : 2009-07-02
> 
> This document captures use cases and associated requirements for an
> IPv6 Customer Premises Equipment (CPE) router.  Specifically, the
> current version of this document focuses on the provisioning of an
> IPv6 CPE router and the provisioning of IPv6 Home Devices attached to
> it.  It also addresses IPv6 traffic forwarding and IPv6 CPE Router
> security.  This document also identifies areas for future
> consideration.  These areas include prefix sub-delegation, IPv6
> multicast, transition and tunneling mechanisms, provisioning
> consistency between DHCPv4 and DHCPv6, and DNS support.  This
> document does not address IPv4 use cases or requirements, as they are
> widely understood; however, it is expected that IPv6 CPE Routers will
> also support IPv4.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-donley-ipv6-cpe-rtr-use-cases-and-reqs-00.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Chris Donley" <[email-masked]>
Date: Fri, 10 Jul 2009 17:07:35 -0600

Thanks for the feedback.

We're aware of the draft-ietf-v6ops-ipv6-cpe-router.  We address many of
the same use cases as the cpe-router document.  The main difference is
in approach - we tried to include additional architecture/operations
information for how such a CPE router would be deployed.

Thanks for the pointer to RFC4864.

Regarding Section 7.3, we agree that more needs to be said.  We included
it in "Future Considerations" to be updated in a future version.

Chris 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Brian E Carpenter
Sent: Friday, July 10, 2009 10:15 AM
To: IPv6 Operations
Subject: Re: I-D
Action:draft-donley-ipv6-cpe-rtr-use-cases-and-reqs-00.txt

   Brian

On 2009-07-02 22:30, [email-masked] wrote:
> 	Filename        :
draft-donley-ipv6-cpe-rtr-use-cases-and-reqs-00.txt
> A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-donley-ipv6-cpe-rtr-use-cases-
and-reqs-00.txt

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 11 Jul 2009 08:04:11 +0100

Chris,

> information for how such a CPE router would be deployed.

OK, then as far as the WG goes, the only logical approach is to
merge the two documents, isn't it? We certainly don't want to confuse
the CPE vendors by putting out two partly overlapping documents.

   Brian